<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user,
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // utwórz tabelę, jeśli nie została wcześniej utworzona
    $db_pdo->exec(
        "CREATE TABLE IF NOT EXISTS `UczestnicyBalu`(
        `id` int(11) PRIMARY KEY AUTO_INCREMENT,
        `imie` varchar(50) DEFAULT '',
        `postac` varchar(50) DEFAULT '',
        `wiek` tinyint(3) UNSIGNED DEFAULT 0
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;"
    );

    /* dodawanie rekordów do tabeli */
    $db_pdo->exec("INSERT INTO UczestnicyBalu (imie, postac, wiek) 
    VALUES ('Ariel', 'Szeryf', 8);");
    $db_pdo->exec("INSERT INTO UczestnicyBalu (imie, postac, wiek) 
    VALUES ('Róża', 'Księżniczka', 6);");

    $db_pdo = null; // zamknij połączenie z bazą

    print "Tabela w bazie danych MySQL została utworzona!";

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}